# Retrieves a list subscription periods that belong to this subscription

Retrieves a list of subscription periods that belong to this subscription.

Endpoint: GET /subscriptions/{id}/subscription_periods
Version: v1
Security: apiKey

## Path parameters:

  - `id` (string, required)
    ID of the subscription

## Response 200 fields (application/json):

  - `type` (string, required)
    Enum: "list"

  - `data` (array, required)
    Example: [{"id":"SPD344S1PDY8XX","type":"subscription_period","amount":1500,"period_number":1,"subscription":"PSUJDW4VCMG9JS","state":"paid","payments":{"type":"list","data":[{"id":"PPH25H07JYWLR7PA82","type":"payment","amount":1000,"description":"Test Payment","currency":"EUR","state":"paid","refunded_amount":0,"return_url":"https://example.com/thank-you","cancel_url":"https://example.com/cancel","paid_at":"2023-06-30T12:44:35Z","created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"}}],"count":1,"_links":{"self":"https://api.paypro.nl/subscription_periods/SPD344S1PDY8XX/payments"}},"created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/subscription_periods/SPD344S1PDY8XX","subscription":"https://api.paypro.nl/subscriptions/PSUJDW4VCMG9JS"}}]

  - `data.id` (string, required)
    Example: "SPD344S1PDY8XX"

  - `data.type` (string, required)
    Enum: "subscription_period"

  - `data.amount` (integer, required)
    Example: 1500

  - `data.period_number` (integer, required)
    Example: 1

  - `data.subscription` (string, required)
    Example: "PSUJDW4VCMG9JS"

  - `data.state` (string, required)
    Enum: "open", "pending", "paid", "canceled", "reversed", "refunded"

  - `data.payments` (object, required)
    Example: {"type":"list","data":[{"id":"PPH25H07JYWLR7PA82","type":"payment","amount":1000,"description":"Test Payment","currency":"EUR","state":"paid","refunded_amount":0,"return_url":"https://example.com/thank-you","cancel_url":"https://example.com/cancel","paid_at":"2023-06-30T12:44:35Z","created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"}}],"count":1,"_links":{"self":"https://api.paypro.nl/subscription_periods/SPD344S1PDY8XX/payments"}}

  - `data.payments.type` (string, required)
    Enum: same as `type` (1 values)

  - `data.payments.data` (array, required)
    Example: [{"id":"PPH25H07JYWLR7PA82","type":"payment","amount":1000,"description":"Test Payment","currency":"EUR","state":"paid","refunded_amount":0,"return_url":"https://example.com/thank-you","cancel_url":"https://example.com/cancel","paid_at":"2023-06-30T12:44:35Z","created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"}}]

  - `data.payments.data.id` (string, required)
    Example: "PPH25H07JYWLR7PA82"

  - `data.payments.data.type` (string, required)
    Enum: "payment"

  - `data.payments.data.amount` (integer, required)
    Example: 1000

  - `data.payments.data.description` (string, required)
    Example: "Test Payment"

  - `data.payments.data.currency` (string, required)
    Enum: "EUR"

  - `data.payments.data.pay_method` (any, required)
    Example: {"id":"ideal","type":"pay_method","name":"iDEAL | Wero","currencies":["EUR"],"minimum_amount":10,"maximum_amount":5000000,"details":{}}
    - `id` (string, required)
      Example: "ideal"
    - `type` (string, required)
      Enum: "pay_method"
    - `name` (string, required)
      Example: "iDEAL | Wero"
    - `currencies` (array)
      Enum: same as `data.payments.data.currency` (1 values)
    - `minimum_amount` (integer)
      Example: 10
    - `maximum_amount` (integer)
      Example: 5000000
    - `details` (object)
      Example: {}
    - `details.issuers` (array,null)
    - `details.iban` (string,null)
    - `details.bic` (string,null)
    - `details.account_name` (string,null)
    - `details.routing_number` (string,null)
    - `details.account_number` (string,null)

  - `data.payments.data.state` (string, required)
    Example: "paid"

  - `data.payments.data.refunded_amount` (integer, required)

  - `data.payments.data.return_url` (string,null, required)
    Example: "https://example.com/thank-you"

  - `data.payments.data.cancel_url` (string,null, required)
    Example: "https://example.com/cancel"

  - `data.payments.data.metadata` (object, required)
    Example: {}

  - `data.payments.data.customer` (string,null, required)
    Example: "CU7JRN6W6K3DA9"

  - `data.payments.data.mandate` (string,null, required)
    Example: "MD6ULYXJ4HP9RJ"

  - `data.payments.data.subscription` (string,null, required)

  - `data.payments.data.installment_plan` (string,null, required)

  - `data.payments.data.locale` (string,null, required)
    Enum: "de", "en", "fr", "nl"

  - `data.payments.data.paid_at` (string,null, required)
    Example: "2023-06-30T12:44:35Z"

  - `data.payments.data.fail_reason` (string,null)
    Enum: "The transaction amount or count exceeds the permitted frequency for this card or account.", "The card holder lacks sufficient funds to complete the transaction.", "The transaction could not be processed with the provided card number.", "The issuer has declined the transaction for authentication reasons.", "The transaction is suspected to be fraudulent.", "The issuer did not allow this transaction against this card based on internal reasons, such as the transaction originated from a specifically restricted industry or country.", "The payment is declined."

  - `data.payments.data.created_at` (string,null, required)
    Example: "2023-06-30T12:40:10Z"

  - `data.payments.data._links` (object, required)
    Example: {"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82","customer":"https://api.paypro.nl/customers/CU7JRN6W6K3DA9","mandate":"https://api.paypro.nl/mandates/MD6ULYXJ4HP9RJ"}

  - `data.payments.data._links.self` (string, required)
    Example: "https://api.paypro.nl/payments/PPH25H07JYWLR7PA82"

  - `data.payments.data._links.customer` (string)
    Example: "https://api.paypro.nl/customers/CU7JRN6W6K3DA9"

  - `data.payments.data._links.mandate` (string)
    Example: "https://api.paypro.nl/mandates/MD6ULYXJ4HP9RJ"

  - `data.payments.data._links.subscription` (string)

  - `data.payments.data._links.installment_plan` (string)

  - `data.payments.data._links.checkout` (string)

  - `data.payments.count` (integer, required)
    Example: 1

  - `data.payments._links` (object, required)
    Example: {"self":"https://api.paypro.nl/subscription_periods/SPD344S1PDY8XX/payments"}

  - `data.payments._links.self` (string, required)
    Example: "https://api.paypro.nl/subscription_periods/SPD344S1PDY8XX/payments"

  - `data.created_at` (string, required)
    Example: "2023-06-30T12:40:10Z"

  - `data._links` (object, required)
    Example: {"self":"https://api.paypro.nl/subscription_periods/SPD344S1PDY8XX","subscription":"https://api.paypro.nl/subscriptions/PSUJDW4VCMG9JS"}

  - `data._links.self` (string, required)
    Example: "https://api.paypro.nl/subscription_periods/SPD344S1PDY8XX"

  - `data._links.subscription` (string, required)
    Example: "https://api.paypro.nl/subscriptions/PSUJDW4VCMG9JS"

  - `count` (integer, required)

  - `_links` (object, required)

  - `_links.self` (string, required)

  - `_links.next` (string)

  - `_links.prev` (string)


